> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set

> Set replaces all owners for a given app resource and role.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples put /api/v2/apps/{app_id}/resource_types/{resource_type_id}/resources/{resource_id}/owners
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v2/apps/{app_id}/resource_types/{resource_type_id}/resources/{resource_id}/owners:
    put:
      tags:
        - App Resource Owner V2
      summary: Set
      description: Set replaces all owners for a given app resource and role.
      operationId: c1.api.app.v2.AppResourceOwnersV2.Set
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: resource_type_id
          required: true
          schema:
            description: The resourceTypeId field.
            type: string
        - in: path
          name: resource_id
          required: true
          schema:
            description: The resourceId field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v2.SetAppResourceOwnersV2RequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v2.SetAppResourceOwnersV2Response
          description: >-
            SetAppResourceOwnersV2Response is the empty response for setting app
            resource owners.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appResourceOwnersV2.set({
                appId: "<id>",
                resourceTypeId: "<id>",
                resourceId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v2.SetAppResourceOwnersV2RequestInput:
      description: >-
        SetAppResourceOwnersV2Request is the request for setting the owners of
        an app resource for a given role.
      properties:
        appEntitlementRefs:
          description: The appEntitlementRefs field.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          type:
            - array
            - 'null'
        roleSlug:
          description: The roleSlug field.
          type:
            - string
            - 'null'
        userRefs:
          description: The userRefs field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          type:
            - array
            - 'null'
      title: Set App Resource Owners V 2 Request
      type: object
      x-speakeasy-name-override: SetAppResourceOwnersV2Request
    c1.api.app.v2.SetAppResourceOwnersV2Response:
      description: >-
        SetAppResourceOwnersV2Response is the empty response for setting app
        resource owners.
      title: Set App Resource Owners V 2 Response
      type: object
      x-speakeasy-name-override: SetAppResourceOwnersV2Response
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
    c1.api.user.v1.UserRef:
      description: A reference to a user.
      properties:
        id:
          description: The id of the user.
          type:
            - string
            - 'null'
      title: User Ref
      type: object
      x-speakeasy-name-override: UserRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````